/*
Copyright (C) 2007 Kamal Singh.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

var CLOCK_BACKGROUND = new Array( 2 );
CLOCK_BACKGROUND[ 0 ] = "clock_images/black_background.png";
CLOCK_BACKGROUND[ 1 ] = "clock_images/white_background.png";

var STORED_IMAGE;
options.defaultValue( STORED_IMAGE ) = CLOCK_BACKGROUND[ 0 ];

var DAY_NAMES = new Array( 7 );
DAY_NAMES[ 0 ] = DAY_NAME0;
DAY_NAMES[ 1 ] = DAY_NAME1;
DAY_NAMES[ 2 ] = DAY_NAME2;
DAY_NAMES[ 3 ] = DAY_NAME3;
DAY_NAMES[ 4 ] = DAY_NAME4;
DAY_NAMES[ 5 ] = DAY_NAME5;
DAY_NAMES[ 6 ] = DAY_NAME6;

var MONTH_NAMES = new Array( 12 );
MONTH_NAMES[ 0 ] = MONTH_NAME0;
MONTH_NAMES[ 1 ] = MONTH_NAME1;
MONTH_NAMES[ 2 ] = MONTH_NAME2;
MONTH_NAMES[ 3 ] = MONTH_NAME3;
MONTH_NAMES[ 4 ] = MONTH_NAME4;
MONTH_NAMES[ 5 ] = MONTH_NAME5;
MONTH_NAMES[ 6 ] = MONTH_NAME6;
MONTH_NAMES[ 7 ] = MONTH_NAME7;
MONTH_NAMES[ 8 ] = MONTH_NAME8;
MONTH_NAMES[ 9 ] = MONTH_NAME9;
MONTH_NAMES[ 10 ] = MONTH_NAME10;
MONTH_NAMES[ 11 ] = MONTH_NAME11;

function view_onOpen()
{
	OnTimeout();
}

function OnTimeout()
{
	var CurrentTime = new Date;
	var CurrentMonth = CurrentTime.getMonth();
	var CurrentDay = CurrentTime.getDate();
	if(CurrentDay < 10)
	{
		DateLabel.x = 32;
	}
	DateLabel.innerText = CurrentDay;
	MyWeekday.innerText = DAY_NAMES[ CurrentTime.getDay() ];
	MonthLabel.innerText = MONTH_NAMES[ CurrentTime.getMonth() ];
	YearLabel.innerText = CurrentTime.getFullYear();
	var Hours = CurrentTime.getHours();
	var Minutes = CurrentTime.getMinutes();
	if( Minutes < 10 )
	{
		Minutes = "0" + Minutes;
	}
	if( Hours >= 12 )
	{
		Hours -= 12;
		AmPmLabel.InnerText = PM_TEXT;
	}
	else
	{
		AmPmLabel.InnerText = AM_TEXT;
	}
	if( Hours == 0 )
	{
		Hours = 12;
	}
	TimeLabel.InnerText = Hours + ":" + Minutes ;
	var Timeout = ( 61 - CurrentTime.getSeconds() ) * 1000;
	view.setTimeout( "OnTimeout()", Timeout );
}

function TextColorForWhite()
{
	MonthLabel.color = "#CCCCCC"
	YearLabel.color = "#CCCCCC"
	DateLabel.color = "#FFFFCC"
	MyWeekday.color = "#363636"
	AmPmLabel.color = "#363636"
	TimeLabel.color = "#363636"
}

function TextColorForBlack()
{
	MonthLabel.color = "#1C1C1C"
	YearLabel.color = "#1C1C1C"
	DateLabel.color = "#6699FF"
	MyWeekday.color = "#CCCCCC"
	AmPmLabel.color = "#CCCCCC"
	TimeLabel.color = "#CCCCCC"
}


function NextColor_OnMouseOver()
{
	ColorButton.background = "#FFFFFF"
}

function NextColor_OnMouseOut()
{
	ColorButton.background = "#CCCCCC"
}

function NextColor_OnMouseDown()
{
	ColorButton.background = "#000000"
}

function GetNextTheme()
{
	var CurrentImage = options( STORED_IMAGE );

	var i = 0;
	for( ; i < CLOCK_BACKGROUND.length; i++ )
	{
		if( CLOCK_BACKGROUND[ i ] == CurrentImage )
		{
			break;
		}
	}
  
	i++;
	if( i >= CLOCK_BACKGROUND.length )
	{
		i = 0;
	}
	if( i == 1 )
		TextColorForWhite();
	if( i == 0 )
		TextColorForBlack()
	return CLOCK_BACKGROUND[ i ];
}

function NextColor_OnClick()
{
	var theme = GetNextTheme();
	options( STORED_IMAGE ) = theme;
	ClockImage.src = theme;
}